{inputs, ...}: {
  imports = with inputs; [
    self.modules.shared.nixos
    self.nixosModules.desktop
    self.nixosModules.system
    ./disko
    ./hardware
    ./misc
  ];

  networking = {
    hostId = "14f63637";
    hostName = "eldrid";
  };

  system.stateVersion = "25.11";
  time.timeZone = "Europe/Kyiv";

  desktop.niri.enable = true;

  services.displayManager.autoLogin = {
    enable = true;
    user = "user";
  };

  swapDevices = [
    {
      device = "/swap/swapfile";
      size = 8 * 1024; # eight gigs
    }
  ];

  module = {
    config = {
      laptop.homeRowMods = true;
      powerSave = true;
      secureBoot = true;
      useIwd = true;
      vaapi = "intel-media-driver";
    };
    stylix = {
      enable = true;
      theme = "vesper";
    };
    locale = "uk_UA.UTF-8";
    misc = {
      qmk-vial.enable = true;
    };
  };
}
