{inputs, ...}: {
  imports = with inputs; [
    self.modules.shared.nixos
    self.nixosModules.desktop
    self.nixosModules.system
    ./disko
    ./hardware
    ./misc
  ];

  networking = {
    hostId = "45b00123";
    hostName = "legion";
  };

  system.stateVersion = "25.11";
  time.timeZone = "Europe/Kyiv";

  desktop.niri.enable = true;

  services.displayManager.autoLogin = {
    enable = true;
    user = "user";
  };

  module = {
    config = {
      laptop.homeRowMods = true;
      powerSave = true;
      secureBoot = true;
      tpmDiskUnlock = true;
      vaapi = "nvidia";
    };
    stylix = {
      enable = true;
      theme = "gruvbox-dark-pale";
    };
    locale = "uk_UA.UTF-8";
    virt.libvirt.enable = true;
  };
}
